various fixes
[distro-setup] / mount-latest-remote
1 #!/bin/bash
2 # Copyright (C) 2016 Ian Kelling
3
4 # Licensed under the Apache License, Version 2.0 (the "License");
5 # you may not use this file except in compliance with the License.
6 # You may obtain a copy of the License at
7
8 # http://www.apache.org/licenses/LICENSE-2.0
9
10 # Unless required by applicable law or agreed to in writing, software
11 # distributed under the License is distributed on an "AS IS" BASIS,
12 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 # See the License for the specific language governing permissions and
14 # limitations under the License.
15
16 set -eE -o pipefail
17 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
18
19 script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
20
21 if [[ ! $@ ]]; then
22 echo "mount-latest-remote: error: expected 1 or more host arguments"
23 exit 1
24 fi
25 ret=0
26
27 for tg; do
28 scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
29 root@$tg:/usr/local/bin
30 ssh root@$tg bash <<'EOF'
31 set -e
32 chmod +x /usr/local/bin/{mount-latest-subvol,check-subvol-stale}
33 /usr/local/bin/mount-latest-subvol
34 EOF
35 done